Skip to main content
GET
List customer memory entries

Authorizations

Authorization
string
header
required

Dashboard JWT token from Clerk

Query Parameters

contactId
string

Only return entries about this contact.

agentId
string

Only return entries learned by this agent.

memoryType
enum<string>

Only return entries of this memory type.

Available options:
summary,
fact,
preference,
goal
from
string<date-time>

Earliest createdAt (inclusive), ISO-8601.

to
string<date-time>

Latest createdAt (inclusive), ISO-8601.

cursor
string

Opaque pagination cursor returned as next_cursor on the previous page.

limit
integer
default:50

Max entries per page (1..200, default 50).

Required range: 1 <= x <= 200

Response

200 - application/json

A page of memory entries matching the active filters.

data
object
meta
object